import java.util.Scanner;

class PGAffPairs2a {


public static void main(String[] args)
{
  Scanner input = new Scanner(System.in);
  int n;
  System.out.print("n? ");
  n = input.nextInt();
  int nsup = n / 2;
  for (int j = 1; j <= nsup; ++j)
  {
    System.out.print((2 * j) + " ");
  }
  System.out.print("\n");
}

}
